package com.sv.mapper;
import com.common.DeviceDTO;
import com.sv.entity.Device;
import org.apache.ibatis.annotations.Param;


import java.util.List;

/**
 * Mapper - 门禁设备
 *
 * @author zhaoziyu
 * @since 2018-08-09
 */
public interface DeviceMapper {

    /**
     * 新建门禁设备
     *
     * @param device 门禁设备
     */
    void insert(Device device);

    /**
     * 更新门禁设备
     *
     * @param device 门禁设备
     */
    void update(Device device);

    /**
     * 删除门禁设备
     *
     * @param id 编号
     * @return 删除数量
     */
    int delete(Integer id);

    /**
     * 删除门禁设备
     *
     * @param ids 编号数组
     * @return 删除数量
     */
    int deleteByIds(Integer[] ids);

    /**
     * 查询门禁设备
     *
     * @param id 编号
     * @return 门禁设备
     */
    Device findById(Integer id);

    /**
     * 查询门禁设备
     *
     * @return 门禁设备集合
     */
    List<Device> findAll();

    List<DeviceDTO> findAllDTO();

    Integer countByStream(@Param("stream") String stream,@Param("id") Integer id);
}